Skip to main content
POST
/
v1
/
tax_overrides
Create
curl --request POST \
  --url https://{defaultHost}/v1/tax_overrides \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tax_override": {
    "tax_zone": "6d5d8e25-313a-443d-afd1-04ea283ea0a6",
    "product_collection": "c2cd197b-f4bc-417b-8293-873be244fd5a",
    "rate": 10
  }
}
'
{
  "id": "8e22bc6e-c9a4-4712-a351-73336631855f",
  "object": "tax_override",
  "shipping": false,
  "rate": 10,
  "product_collection": "c2cd197b-f4bc-417b-8293-873be244fd5a",
  "tax_zone": "6d5d8e25-313a-443d-afd1-04ea283ea0a6",
  "created_at": 1778010939,
  "updated_at": 1778010939
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tax_override
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

shipping
boolean

Whether or not this tax override applies to shipping.

rate
number | null

The tax rate to use for this tax override.

product_collection
string

Expandable – The associated product collection ID.

tax_zone
string

Expandable – The associated tax zone ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.